Returns the network configurations enabled for the specified environment.
GET
/
sdk
/
{environmentId}
/
networks
Get network configurations for the environment
curl --request GET \
--url https://app.dynamicauth.com/api/v0/sdk/{environmentId}/networks \
--header 'Authorization: Bearer <token>'import requests
url = "https://app.dynamicauth.com/api/v0/sdk/{environmentId}/networks"
headers = {"Authorization": "Bearer <token>"}
response = requests.get(url, headers=headers)
print(response.text)const options = {method: 'GET', headers: {Authorization: 'Bearer <token>'}};
fetch('https://app.dynamicauth.com/api/v0/sdk/{environmentId}/networks', options)
.then(res => res.json())
.then(res => console.log(res))
.catch(err => console.error(err));
[
{
"chainName": "<string>",
"networks": [
{
"name": "Ethereum Mainnet",
"shortName": "ETH",
"chain": "ETH",
"chainId": "1",
"networkId": "1",
"iconUrls": [
"<string>"
],
"nativeCurrency": {
"decimals": "18",
"name": "Ether",
"symbol": "ETH",
"denom": "uatom",
"iconUrl": "<string>",
"pricingProviderTokenId": "<string>"
},
"rpcUrls": [
"https://mainnet.infura.io/v3/"
],
"blockExplorerUrls": [
"https://etherscan.io/"
],
"lcdUrl": "https://lcd.osmosis.zone",
"chainName": "Ethereum Mainnet",
"key": "ethereum",
"isTestnet": false,
"nameService": {
"registry": "0x00000000000C2E074eC69A0dFb2997BA6C7d2e1e"
},
"privateCustomerRpcUrls": [
"https://mainnet.infura.io/v3/"
],
"vanityName": "Ethereum",
"bech32Prefix": "cosmos",
"genesisHash": "5eykt4UsFv8P8NJdTREpY1vzqKqZKvdp",
"cluster": "mainnet, devnet, etc",
"hasNativeToken": true,
"supportsFeeTokenSelection": false
}
]
}
]{
"error": "Internal Server Error"
}Authorizations
Bearer authentication header of the form Bearer <token>, where <token> is your auth token.
Path Parameters
ID of the environment
Required string length:
36Pattern:
^[0-9a-f]{8}-[0-9a-f]{4}-[0-9a-f]{4}-[0-9a-f]{4}-[0-9a-f]{12}$Example:
"95b11417-f18f-457f-8804-68e361f9164f"
Last modified on July 24, 2026
Was this page helpful?
Previous
Get enabled onramps for the environmentFind the configuration for the enabled onramps associated to an environment
Next
⌘I
Get network configurations for the environment
